aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_pktio_ordered_run.sh
diff options
context:
space:
mode:
authorMatias Elo <matias.elo@nokia.com>2018-09-26 16:41:59 +0300
committerMaxim Uvarov <maxim.uvarov@linaro.org>2018-10-04 15:15:31 +0300
commit9cbb27956fffac255bde543e6d52ebb3cc6d589d (patch)
tree5b70823408c2bbd4773603d410daa88ce3ec2121 /test/performance/odp_pktio_ordered_run.sh
parent6b4331e9e3251d54db409a45cac7e5848d30029c (diff)
test: performance: enable testing in process mode
Allocate global data from shm. Minor fix to odp_pktio_ordered_run test script. Signed-off-by: Matias Elo <matias.elo@nokia.com> Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org>
Diffstat (limited to 'test/performance/odp_pktio_ordered_run.sh')
-rwxr-xr-xtest/performance/odp_pktio_ordered_run.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/test/performance/odp_pktio_ordered_run.sh b/test/performance/odp_pktio_ordered_run.sh
index d7f238120..295b8803b 100755
--- a/test/performance/odp_pktio_ordered_run.sh
+++ b/test/performance/odp_pktio_ordered_run.sh
@@ -31,8 +31,7 @@ fi
$STDBUF ${TEST_DIR}/odp_pktio_ordered${EXEEXT} \
-i pcap:in=${PCAP_IN}:loops=$LOOPS,pcap:out=${PCAP_OUT} \
-t $DURATION | tee $LOG
-
-ret=${PIPESTATUS[0]}
+ret=$?
if [ $ret -ne 0 ]; then
echo "FAIL: no odp_pktio_ordered${EXEEXT}"